Subject: Re: bug#65292: 30.0.50; unportable shell construct in configure

From: Po Lu <[email-masked]>
Date: Tue, 15 Aug 2023 10:23:24 +0800

Appears that I neglected to copy the bug tracker into my initial reply.
Resending.

Thomas Klausner <[email-masked]> writes:

> NetBSD's sh doesn't like:
>
> if test -n "${ndk_commands//\n }"
>
> (it works in bash)
>
> This construct has been in m4/ndk-build.m4 for quite some time, I'm
> not
> sure how it ended up in configure now, but I guess it was one of the
> recent Android changes.

Indeed.  However, the function containing that substitution is not
utilized under NetBSD.

Does its presence lead to actual difficulties during configure, or is it
merely an error reported when running sh -n?